package com.caimei.www.controller.authorized.supplier;

import com.caimei.www.controller.BaseController;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * 【供应商】个人中心
 *
 * @author : Charles
 * @date : 2020/8/27
 */
@Controller
public class SupplierPageController extends BaseController {
    /** 我的采美 */
	private static final String DASHBOARD = "supplier-center/dashboard";
    /** 订单列表 */
	private static final String ORDER_LIST = "supplier-center/order/list";
    /** 订单详情 */
	private static final String ORDER_DETAIL = "supplier-center/order/detail";
    /** 物流 */
	private static final String LOGISTICS = "supplier-center/order/logistics";
    /** 物流详情 */
	private static final String LOGISTICS_DETAIL = "supplier-center/order/logistics-detail";
    /** 添加物流 */
	private static final String LOGISTICS_ADD = "supplier-center/order/logistics-add";
    /** 售货清单 */
	private static final String SALES_LIST = "supplier-center/order/sales-list";
    /** 发货 */
	private static final String DELIVERY = "supplier-center/order/delivery";
    /** 发货记录 */
	private static final String DELIVERY_RECORD = "supplier-center/order/delivery-record";
    /** 结算管理 */
	private static final String SETTLEMENT_LIST = "supplier-center/order/settlement";
    /** 员工管理 */
	private static final String OPERATION_LIST = "supplier-center/operation/list";
    /** 添加/编辑员工 */
	private static final String OPERATION_DETAIL = "supplier-center/operation/form";
    /** 资料 */
	private static final String INFORMATION = "supplier-center/setting/information";
    /** 重置密码 */
	private static final String PASSWORD = "supplier-center/setting/password";
    /** 更换手机号 */
	private static final String PHONE = "supplier-center/setting/phone";
    /** 装扮主页 */
	private static final String DECORATION_SHOP = "supplier-center/shop/decoration";
    /** 发布商品 */
	private static final String RELEASE_GOODS = "supplier-center/shop/release";
    /** 商品管理 */
	private static final String GOODS_LIST = "supplier-center/shop/goods";
    /** 商品预览 */
	private static final String GOODS_PREVIEW = "supplier-center/shop/preview";
    /** 系统消息列表 */
    private static final String MESSAGE = "supplier-center/message/list";


    /** 我的采美 */
    @GetMapping("/supplier/dashboard.html")
    public String dashboard() {
        return DASHBOARD;
    }

    /** 订单列表 */
    @GetMapping("/supplier/order/list.html")
    public String orderList() {
        return ORDER_LIST;
    }

    /** 订单详情 */
    @GetMapping("/supplier/order/detail.html")
    public String orderDetail() {
        return ORDER_DETAIL;
    }

    /** 结算管理 */
    @GetMapping("/supplier/order/settlement.html")
    public String orderSettlement() {
        return SETTLEMENT_LIST;
    }

    /** 物流 */
    @GetMapping("/supplier/order/logistics.html")
    public String logistics() {
        return LOGISTICS;
    }

    /** 物流详情 */
    @GetMapping("/supplier/order/logistics/detail.html")
    public String logisticsDetail() {
        return LOGISTICS_DETAIL;
    }

    /** 添加物流 */
    @GetMapping("/supplier/order/logistics/add.html")
    public String logisticsAdd() {
        return LOGISTICS_ADD;
    }

    /** 售货清单 */
    @GetMapping("/supplier/order/sales.html")
    public String salesList() {
        return SALES_LIST;
    }

    /** 发货 */
    @GetMapping("/supplier/order/delivery.html")
    public String delivery() {
        return DELIVERY;
    }

    /** 发货记录 */
    @GetMapping("/supplier/order/delivery_record.html")
    public String deliveryRecord() {
        return DELIVERY_RECORD;
    }

    /** 员工管理 */
    @GetMapping("/supplier/operation/list.html")
    public String operationList() {
        return OPERATION_LIST;
    }

    /** 添加/编辑员工 */
    @GetMapping("/supplier/operation/form.html")
    public String operationForm() {
        return OPERATION_DETAIL;
    }

    /** 资料 */
    @GetMapping("/supplier/setting/information.html")
    public String settingInformation() {
        return INFORMATION;
    }

    /** 重置密码 */
    @GetMapping("/supplier/setting/password.html")
    public String settingPassword() {
        return PASSWORD;
    }

    /** 更换手机号 */
    @GetMapping("/supplier/setting/phone.html")
    public String settingPhone() {
        return PHONE;
    }

    /** 装扮主页 */
    @GetMapping("/supplier/decoration.html")
    public String shopDecoration() {
        return DECORATION_SHOP;
    }

    /** 发布商品 */
    @GetMapping("/supplier/release.html")
    public String releaseGoods() {
        return RELEASE_GOODS;
    }

    /** 商品管理 */
    @GetMapping("/supplier/goods.html")
    public String goodsList() {
        return GOODS_LIST;
    }

    /** 商品预览 */
    @GetMapping("/supplier/goods/preview.html")
    public String goodsPreview() {
        return GOODS_PREVIEW;
    }

    /** 消息列表 */
    @GetMapping("/supplier/message/list.html")
    public String settingMessage() {return MESSAGE;}


}
